# menu-level-container

<!-- Auto Generated Below -->

## Properties

| Property                  | Attribute                    | Description | Type                                                      | Default           |
| ------------------------- | ---------------------------- | ----------- | --------------------------------------------------------- | ----------------- |
| `activeTrailTriggered`    | `active-trail-triggered`     |             | `boolean`                                                 | `false`           |
| `depth`                   | `depth`                      |             | `number`                                                  | `0`               |
| `headingItem`             | `heading-item`               |             | `any`                                                     | `undefined`       |
| `labelFrontPage`          | `label-front-page`           |             | `string`                                                  | `undefined`       |
| `menuButtonSubmenuExpand` | `menu-button-submenu-expand` |             | `string`                                                  | `undefined`       |
| `menuLevel`               | `menu-level`                 |             | `number`                                                  | `undefined`       |
| `menuType`                | `menu-type`                  |             | `MenuType.desktop \| MenuType.mobile \| MenuType.sidenav` | `MenuType.mobile` |
| `triggerItem`             | `trigger-item`               |             | `string`                                                  | `undefined`       |

## Dependencies

### Depends on

- [hy-menu-item](../menu-item)

### Graph

```mermaid
graph TD;
  hy-menu-level-container --> hy-menu-item
  hy-menu-item --> hy-icon
  style hy-menu-level-container fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
